Index: components/poker/sections/Messages.jsx
===================================================================
--- components/poker/sections/Messages.jsx	(revision 3a783f24e1a3132486ae1fca341b141c7b327563)
+++ components/poker/sections/Messages.jsx	(revision 95ce58bf1e6a160d56dbf39a83e4ed466a89d982)
@@ -24,10 +24,11 @@
     return (
         <div className="pokerMessagesContainer">
-            { playerState.pokerGame.table.started && playerState.pokerGame.table.ended && playerState.pokerGame.table.winners.length === 1 && <p>Game over - {playerState.pokerGame.table.winners[0]?.displayName} won ${playerState.pokerGame.table.winners[0]?.wonAmount} with a {playerState.pokerGame.table.winners[0]?.hand?.hand} combination! Congratulations.</p> }
-            { playerState.pokerGame.table.started && playerState.pokerGame.table.ended && playerState.pokerGame.table.winners.length > 1 && <p>Game over - {playerState.pokerGame.table.winners.map(e=>e.displayName).join(", ")} drew!</p> }
-            { playerState.pokerGame.table.started && playerState.pokerGame.table.ended && <p>New game will start soon.</p> }
+            { playerState.pokerGame.table.ended && playerState.pokerGame.table.onlyOnePlayerLeft && <p>Game over - {playerState.pokerGame.table.winners[0]?.displayName} won ${playerState.pokerGame.table.winners[0]?.wonAmount} because everyone else folded! Congratulations.</p> }
+            { playerState.pokerGame.table.ended && !playerState.pokerGame.table.onlyOnePlayerLeft && playerState.pokerGame.table.winners.length === 1 && <p>Game over - {playerState.pokerGame.table.winners[0]?.displayName} won ${playerState.pokerGame.table.winners[0]?.wonAmount} with a {playerState.pokerGame.table.winners[0]?.hand?.hand} combination! Congratulations.</p> }
+            { playerState.pokerGame.table.ended && playerState.pokerGame.table.winners.length > 1 && <p>Game over - {playerState.pokerGame.table.winners.map(e=>e.displayName).join(", ")} drew!</p> }
+            { playerState.pokerGame.table.ended && <p>New game will start soon.</p> }
 
             { playerState.pokerGame.table.started && !playerState.pokerGame.table.ended && <p>Round {playerState.pokerGame.table.round}/4{roundMessage}</p> }
-            { !playerState.pokerGame.table.started && <p>Waiting for coordinator {playerState.pokerGame.table.creator} to start the game.</p> }
+            { !playerState.pokerGame.table.started && !playerState.pokerGame.table.ended && <p>Waiting for coordinator {playerState.pokerGame.table.creator} to start the game.</p> }
             { playerState.pokerGame.table.started && !playerState.pokerGame.table.ended && <p>{turnMessage}</p> }
             { playerState.pokerGame.table.started && !playerState.pokerGame.table.ended && <p>{callMessage}</p> }
Index: components/poker/sections/PickATable.jsx
===================================================================
--- components/poker/sections/PickATable.jsx	(revision 3a783f24e1a3132486ae1fca341b141c7b327563)
+++ components/poker/sections/PickATable.jsx	(revision 95ce58bf1e6a160d56dbf39a83e4ed466a89d982)
@@ -49,9 +49,9 @@
                 <h3>Pick a table:</h3>
                 <div onClick={(e) => joinATable(e)}>
-                    {playerState.pokerGame.tables.map(table => (
+                    {playerState.pokerGame.tables.filter(table=>table.started===false).map(table => (
                         <div data-table={table.id} key={table.id}>
                             <p data-table={table.id}>Table name: {table.name}</p>
                             <p data-table={table.id}>Creator: {table.creator}</p>
-                            <p data-table={table.id}>Players: {table.players.length}/8</p>
+                            <p data-table={table.id}>Players: {table.players.filter(e=>e.isGhost===false).length}/8</p>
                             <p data-table={table.id}>Join</p>
                         </div>
Index: components/poker/sections/PlayButtons.jsx
===================================================================
--- components/poker/sections/PlayButtons.jsx	(revision 3a783f24e1a3132486ae1fca341b141c7b327563)
+++ components/poker/sections/PlayButtons.jsx	(revision 95ce58bf1e6a160d56dbf39a83e4ed466a89d982)
@@ -60,5 +60,5 @@
     return (
       <div className="pokerPlayButtonsContainer">
-        {!playerState.pokerGame.table.started && playerState.pokerGame.player.isCoordinator && playerState.pokerGame.player.isSatDown && <button className="secondaryButton" onClick={() => startGame()}>Start game</button>}
+        {!playerState.pokerGame.table.started && !playerState.pokerGame.table.ended && playerState.pokerGame.player.isCoordinator && playerState.pokerGame.player.isSatDown && <button className="secondaryButton" onClick={() => startGame()}>Start game</button>}
         {!playerState.pokerGame.table.started && !playerState.pokerGame.player.isSatDown && <button className="secondaryButton" onClick={() => sitDown()}>Take a seat</button>}
       </div>
